from nz.org.riskscape.engine.types import Types, Struct
ID = 'fire_strength_py'
ARGUMENT_TYPES = [
    Types.ANYTHING,
    Types.FLOATING
]
RETURN_TYPE = Struct.of("strength", Types.FLOATING, "loss", Types.FLOATING)

def function(building, fire_strength):
    return {
      "strength": fire_strength,
      "loss": building['value'] * fire_strength
    }
